package com.xxh.cloud.framework.activemq.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
public class ActiveMQQueueDetail {

    @ApiModelProperty(value = "队列的名称")
    private String queueName;

    @ApiModelProperty(value = "队列中剩余的消息数")
    private int queueSize;

    @ApiModelProperty(value = "消费者数")
    private int consumerCount;

    @ApiModelProperty(value = "出队列的数量")
    private int dequeueCount;
    
}
