package com.xxh.cloud.framework.security.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
@Getter
@Setter
public class SecurityConfig {

	/**是否开启拦截器*/
	@Value("${saas.security.filter.enabled:false}")
	private boolean isFilterEnabled=false;

	/**拦截器URL(多个用分号隔开)*/
	@Value("${saas.security.filter.filterUrl:/*}")
	private String filterUrl;

	/**不拦截器URL(多个用分号隔开)*/
	@Value("${saas.security.filter.notFilterUrl:#{null}}")
	private String notFilterUrl;

	@Value("${project.config.appVersion:1.0.0}")
	private String appVersion;
}
