package com.xxh.cloud.framework.script.modules.biz.bean.dto;

import com.xxh.cloud.framework.script.modules.sql.operate.bean.InsertColumnBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

@Getter
@Setter
public class EntityOperateSaveBatchDTO {



    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableCode;

    @ApiModelProperty(value = "表字段",required = true)
    @NotNull(message = "表字段不能为空")
    private List<InsertColumnBean> insert;

    @ApiModelProperty(value = "新增数据",required = true)
    @NotNull(message = "新增数据不能为空")
    private List<Map<String,String>> data;


}
