package com.xxh.cloud.framework.script.modules.biz.constant.enums;

public enum TableColumnBaseEnum {

    ID("id","id", TableDataTypeEnum.MT_String,true),

    ObjectId("object_id","对象ID", TableDataTypeEnum.MT_String,false),

    ObjectType("object_type","对象分类", TableDataTypeEnum.MT_String,false),

    ProjectCode("project_code","项目编号", TableDataTypeEnum.MT_String,false),
    VersionCode("version_code","版本号", TableDataTypeEnum.MT_String,false),
    Creator("creator","创建者", TableDataTypeEnum.MT_String,false),
    CreateDate("create_date","创建时间", TableDataTypeEnum.MT_DateTime,false),
    Updater("updater","更新者", TableDataTypeEnum.MT_String,false),
    UpdateDate("update_date","更新时间", TableDataTypeEnum.MT_DateTime,false),


    ;
    private String code;
    private String name;

    private TableDataTypeEnum type;

    private boolean priKey;

    private TableColumnBaseEnum(String code, String name, TableDataTypeEnum type, boolean priKey) {
        this.code = code;
        this.name = name;
        this.type=type;
        this.priKey=priKey;
    }

    public String getCode() {
        return code;
    }
    public String getName() {
        return name;
    }
    public boolean getPriKey() {
        return priKey;
    }
    public TableDataTypeEnum getType() {
        return type;
    }


}
