package com.xxh.cloud.framework.script.modules.biz.mapper;

import com.xxh.cloud.framework.script.modules.biz.bean.vos.TableEntityPropertyVO;
import com.xxh.cloud.framework.script.modules.biz.bean.vos.TableEntityVO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

public interface DbSqlDDLMapper {


    /**新建表*/
    @Update("${paramSQL}")
    public void createTable(@Param("paramSQL") String sql);

    /**修改表*/
    @Update("${paramSQL}")
    public void alterTable(@Param("paramSQL") String sql);


    /**删除表*/
    @Update("${paramSQL}")
    public void dropTable(@Param("paramSQL") String sql);


    /**清空表数据*/
    @Update("${paramSQL}")
    public void truncateTableData(@Param("paramSQL") String sql);


    /**查询表信息列表*/
    @Select("${paramSQL}")
    public List<TableEntityVO> entityList(@Param("paramSQL") String sql);


    /**查询字段属性列表*/
    @Select("${paramSQL}")
    public List<TableEntityPropertyVO> entityPropList(@Param("paramSQL") String sql);


    /**判断表是否存在*/
    @Select("${paramSQL}")
    public TableEntityVO getEntityObj(@Param("paramSQL") String sql);


    /**获取表数据数量*/
    @Select("select count(1) as num from ${tableName}")
    public int entityDataNum(@Param("tableName") String tableName);

//    @Update("${paramSQL}")
//    public void tableDDL(@Param("paramSQL") String sql);


}
