package com.xxh.cloud.framework.script.modules.biz.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.*;

import java.util.List;
import java.util.Map;

/**
 * SQL 操作脚本
 * */
public interface DbSqlOperateMapper {


    @Insert("${paramSQL}")
    public void dynamicsInsert(@Param("paramSQL") String sql);

    @Update("${paramSQL}")
    public void dynamicsUpdate(@Param("paramSQL") String sql);


    @Delete("${paramSQL}")
    public void dynamicsDelete(@Param("paramSQL") String sql);


    @Select("${paramSQL}")
    public List<Map<String,Object>> selectList(@Param("paramSQL") String sql);

    @Select("${paramSQL}")
    public IPage<Map<String,Object>> selectPage(IPage<Map<String,Object>> page, @Param("paramSQL") String sql);



}
