package com.xxh.cloud.framework.script.modules.db.service;

import javax.sql.DataSource;
import java.sql.Connection;
import java.util.List;
import java.util.Map;

public interface DBInsertOpApi {



    /**
     * INSERT INTO tableName (id ,name) VALUES ('1','1');
     * */
    public int insert(Connection connection, String sql);

    public int insert(DataSource dataSource, String sql);

    /**
     * INSERT INTO tableName (id ,name) VALUES (:id,:name);
     * */
    public int insert(Connection connection,String sql, Map<String, Object> paramMap);

    public int insert(DataSource dataSource,String sql, Map<String, Object> paramMap);

    /**
     * INSERT INTO tableName (id ,name) VALUES (?,?);
     * */
    public int[] insertBatch(Connection connection, String sql, List<Object[]> paramsBatch);

    public int[] insertBatch(DataSource dataSource, String sql, List<Object[]> paramsBatch);

    /**
     * INSERT INTO tableName (id ,name) VALUES ('1','1');
     * */
    public int[] executeBatch(Connection connection, List<String> sqls);


    public int[] executeBatch(DataSource dataSource, List<String> sqls);



}
