package com.xxh.cloud.framework.script.modules.error;

import com.xxh.cloud.framework.common.exception.IErrorCodeEnum;

public enum DBErrorEnum implements IErrorCodeEnum {


    DB_Connection(11000,"获取数据库连接错误"),

    DB_ExecuteSQL(11001,"执行SQL语句错误"),


    ;
    private int code;
    private String msg;

    private DBErrorEnum() {

    }

    DBErrorEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
