package com.xxh.cloud.framework.script.modules.sql.ddl.convert;

import com.xxh.cloud.framework.common.constant.DataSourceTypeEnum;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;

public class DataTypeConvertFactory {

    public static  ITypeConvert getConvertTypeFactory(DataSourceTypeEnum dataSourceType){
        if(DataSourceTypeEnum.MySQL == dataSourceType){
            return new MySQLTypeConvert();
        }
        throw new BusinessException(BusinessBaseErrorEnum.DataSource_Config_ERROR);
    }








}
