package com.xxh.cloud.framework.script.modules.sql.operate.bean;

import com.xxh.cloud.framework.script.modules.sql.operate.constant.OrderByWayEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class OrderByBean {

    @ApiModelProperty(value = "排序方式")
    private String t= OrderByWayEnum.ASC.getCode();

    @ApiModelProperty(value = "数据模型")
    private String d;

    @ApiModelProperty(value = "数据模型属性")
    private String p;

    public OrderByBean(String d,String p,String t){
        this.d=d;
        this.t=t;
        this.p=p;
    }

    public OrderByBean(String d,String p,OrderByWayEnum t){
        this.d=d;
        this.p=p;
        this.t=t.getCode();
    }


    public OrderByBean(){

    }


}
