package com.xxh.cloud.framework.script.modules.sql.operate.bean;

import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class SelectBean {



    //
    @ApiModelProperty(value = "数据模型编号")
    private String d;

    //must
    @ApiModelProperty(value = "数据模型属性")
    private String p;

    //
    @ApiModelProperty(value = "函数[FnTypeEnum]")
    private String f;

    //
    @ApiModelProperty(value = "别名")
    private String as;


    @ApiModelProperty(value = "显示名称")
    private String n;

    //
    @ApiModelProperty(value = "类型")
    private String t;

    @ApiModelProperty(value = "转换类型[convert](ConvertTypeEnum)")
    private String ctt;


    @ApiModelProperty(value = "转换类型")
    private String ctc;

    @ApiModelProperty(value = "是否支持排序[sort](YN)")
    private String iss;

    @ApiModelProperty(value = "树节点标记分类[treeNodeCodeType](ApiTreeFlagTypeEnum)")
    private String treent;


    public SelectBean(String d,String p,String t){
        this.d=d;
        this.p=p;
        this.t=t;
    }


    public SelectBean(){

    }



    public String get_as(){
        if(StrUtil.isNotEmpty(this.as)){
            return  this.as;
        }
        return StrUtil.format("{}_{}",this.d,this.p);
    }




}
