package com.xxh.cloud.framework.script.modules.sql.operate.bean;

import com.xxh.cloud.framework.script.modules.sql.operate.constant.RelAndOrEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class WhereAndOrBean extends WhereItemBean{

    @ApiModelProperty(value = "且或分类(WhereAndOrEnum)")
    private String aot= RelAndOrEnum.Where_And.getCode();

    @ApiModelProperty(value = "条件或")
    private List<WhereItemBean> or;



    public WhereAndOrBean(WhereItemBean and){
        this.setAot(RelAndOrEnum.Where_And.getCode());
        this.setSd(and.getSd());
        this.setD(and.getD());
        this.setP(and.getP());
        this.setN(and.getN());
        this.setT(and.getT());
        this.setOp(and.getOp());
        this.setVd(and.getVd());
        this.setVp(and.getVp());
        this.setV(and.getV());
        this.setVv(and.getVv());
        this.setVs(and.getVs());
    }

    public WhereAndOrBean(List<WhereItemBean> or){
        this.aot= RelAndOrEnum.Where_Or.getCode();
        this.or=or;
    }

    public WhereAndOrBean(){

    }



}
