package com.xxh.cloud.web.common.service;

import cn.dev33.satoken.stp.StpInterface;
import cn.hutool.core.convert.Convert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class StpInterfaceImpl implements StpInterface {

    @Autowired
    private StpUserPermissionCacheService stpUserPermissionCacheService;


    @Override
    public List<String> getPermissionList(Object loginId, String loginType) {
        System.out.println("++++++++++++++++++++++ StpInterfaceImpl.getPermissionList():"+loginId);
        List<String> list = stpUserPermissionCacheService.getUserPermission(Convert.toStr(loginId));
        return list;
    }

    @Override
    public List<String> getRoleList(Object loginId, String loginType) {
        System.out.println("++++++++++++++++++++++ StpInterfaceImpl.getRoleList():"+loginId);
        List<String> list = stpUserPermissionCacheService.getUserRole(Convert.toStr(loginId));
        return list;
    }
}
