package com.xxh.cloud.web.common.task.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class TaskJobParamModel {

    @ApiModelProperty(value = "任务模块")
    private String module;

    @ApiModelProperty(value = "任务参数")
    private String params;

}
