package com.xxh.cloud.framework.common.constant;

/**
 * 数据内容分类定义
 * */
public enum ConfigDataTypeEnum implements IBizBaseEnum{

    DictTypeAll("dict_type_all","所有码表"),
    DictTypeCategory("dict_type_category","码表分类"),
    DictDataType("dict_data_type","码表字典分类"),



    ;

    private String code;
    private String name;

    private ConfigDataTypeEnum() {
    }

    ConfigDataTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }

}
