package com.xxh.cloud.framework.common.constant;

/**
 * 数据隔离方式
 * */
public enum DataScopeMode implements IBizBaseEnum{


    TenantDataScope("tenant","平台(租户)数据隔离"),
    CompanyDataScope("company","机构数据隔离"),
    ;
    private String code;
    private String name;

    private DataScopeMode() {
    }

    DataScopeMode(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }

}
