package com.xxh.cloud.framework.common.constant;
/**
 * 数据源分类定义
 * */
public enum DataSourceTypeEnum implements IBizBaseEnum{

    MySQL("MySQL","MySQL"),
    PostgreSQL("PostgreSQL","PostgreSQL"),



    ;
    private String code;
    private String name;

    private DataSourceTypeEnum() {
    }

    DataSourceTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }

}
