package com.xxh.cloud.framework.common.constant;

/**
 * 支持的输入组件类型
 * */
public enum ElementInputTypeEnum implements IBizBaseEnum{


    Select("select","下拉框"),
    Text("text","文本框"),
    Int("int","整数输入框"),
    Number("number","数字输入框"),
    DateTime("datetime","日期"),
    ;

    private String code;
    private String name;

    private ElementInputTypeEnum() {
    }

    ElementInputTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }

}
