package com.xxh.cloud.framework.common.constant;

public enum MainUserTypeEnum implements IBizBaseEnum{

    SYS_User("sys","系统用户"),
    CUST_User("cust","客户用户"),

    ;
    private String code;
    private String name;

    private MainUserTypeEnum() {
    }

    MainUserTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }


}
