package com.xxh.cloud.framework.common.constant;

/**
 * 用户登录注册方式
 * */
public enum UserRegLoginMode implements IBizBaseEnum{


    NoneLoginRegAdd("none","不支持登录|注册|新增"),

    UserNamePassword("userNamePassword","用户名密码登录|用户名密码注册|用户名密码新增"),
    MobileVcode("mobileVcode","手机号验证码登录|手机号验证码注册|手机号新增"),


    UserThird("third","三方登录|三方注册"),

    ;
    private String code;
    private String name;

    private UserRegLoginMode() {
    }

    UserRegLoginMode(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }

}
