package com.xxh.cloud.framework.common.helper;

import cn.hutool.core.util.DesensitizedUtil;
import cn.hutool.core.util.StrUtil;

/**
 *  脱敏工具类
 * */
public class DesensitizedHelper {

    /**
     *  用户名-脱敏
     * */
    public static  String  userName(String val){
        if(StrUtil.isEmpty(val)){
            return null;
        }
        return DesensitizedUtil.chineseName(val);
    }


    /**
     *  用户真实名-脱敏
     * */
    public static  String  realName(String val){
        if(StrUtil.isEmpty(val)){
            return null;
        }
        return DesensitizedUtil.chineseName(val);
    }

    /**
     *  邮箱-脱敏
     * */
    public static  String  email(String val){
        if(StrUtil.isEmpty(val)){
            return null;
        }
        return DesensitizedUtil.email(val);
    }


    /**
     *  手机-脱敏
     * */
    public static  String  mobilePhone(String val){
        if(StrUtil.isEmpty(val)){
            return null;
        }
        return DesensitizedUtil.mobilePhone(val);
    }

}
