package com.xxh.cloud.framework.common.param.bos;

import lombok.Getter;
import lombok.Setter;

/**
 * 应用基础配置信息
 * SysApp_basic
 * */
@Getter
@Setter
public class AppSysBasicConfigBO {


    /**
     * 系统名称
     * */
    private String sysName;

    /**
     * 系统描述
     * */
    private String sysDescription;

    /**
     * 系统版本
     * */
    private String sysVersion;

    /**
     * 版权信息
     * */
    private String copyright;


    /**
     * 公司名称
     * */
    private String companyName;

    /**
     * 公司简称
     * */
    private String companyCode;

    /**
     * 公司地址
     * */
    private String companyAddress;

    /**
     * 公司法人
     * */
    private String companyContacts;

    /**
     * 公司电话
     * */
    private String companyTelePhone;

    /**
     * 公司邮箱
     * */
    private String companyEmail;

    /**
     * 登录图标
     * */
    private String loginIcon;

    /**
     * 导航图标
     * */
    private String navigationIcon;

    /**
     *
     * */
    private String logoIcon;

    /**
     *
     * */
    private String appIcon;



}
