package com.xxh.cloud.framework.common.param.bos;

import com.xxh.cloud.framework.common.constant.YN;
import lombok.Getter;
import lombok.Setter;

/**
 * 短信验证码规则配置参数
 * */
@Getter
@Setter
public class SmsVcodeConfigBO {

    /**
     * 是否发送短信
     * */
    private  String isSendSms= YN.NO.getCode();


    /**
     * 不发送短信,手机名单
     * */
    private String notSendList;

    /**
     * 是否生成验证码
     * */
    private  String isGenerateCode=YN.NO.getCode();

    /**
     * 默认短信验证码
     * */
    private  String defCode="8888";

    /**
     * 默认短信验证码,手机名单
     * */
    private String defCodeList;


}
