package com.xxh.cloud.framework.common.user;

import com.xxh.cloud.framework.common.constant.MainUserTypeEnum;
import lombok.Getter;
import lombok.Setter;


/**
 * 登录用户信息
 * */
@Getter
@Setter
public class LoginUser {

    /**
     * ID
     * */
    private String id;

    /**
     * 用户主分类： MainUserTypeEnum
     * */
    private String mainType;

    /**
     * 用户分类
     * */
    private String type;

    /**
     * 用户名
     * */
    private String userName;

    /**
     * 租户号
     * */
    private String tenantNo;


    /**
     * 公司号
     * */
    private String companyNo;


    /**
     * 部门ID
     * */
    private String deptId;


    /**
     * thirdUserId
     * */
    private String thirdUserId;


    /**
     * 是否超级管理员
     * */
    private String isSuperAdmin;


    /**
     * tokenValue
     * */
    public String token;






}
