package com.xxh.cloud.framework.common.write.bean;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Getter
@Setter
public class HwdsWriteDBConfigBean {



    private String key;

    /**
     *
     * */
    private String url;
    /**
     *
     * */
    private String username;
    /**
     *
     * */
    private String password;

    /**
     *  目标表
     * */
    private String table;

//    /**
//     * 来源表-del
//     * */
//    private String sourceTable;

    /**
     *
     * */
    private String column;

    /**
     *  column : entity[]
     * */
    private Map<String,String> mapping;


    public HwdsWriteDBConfigBean(String key,String url,String username,String password,String table,Map<String,String> colEntityMap){
        this.key=key;
        this.url=url;
        this.username=username;
        this.password=password;
        this.table=table;
        this.mapping=new HashMap<>();
        List<String> cols=new ArrayList<>();
        colEntityMap.forEach((col,ek)->{
            cols.add(col);
            this.mapping.put(col,ek);
        });
        this.column= StrJoinSplitUtils.join(cols);
    }



    public HwdsWriteDBConfigBean(String table,Map<String,String> colEntityMap){
        this.key=table;
        this.table=table;
        this.mapping=new HashMap<>();
        List<String> cols=new ArrayList<>();
        colEntityMap.forEach((col,ek)->{
            cols.add(col);
            this.mapping.put(col,ek);
        });
        this.column=StrJoinSplitUtils.join(cols);
    }


    public HwdsWriteDBConfigBean(){

    }

    //=================================
//    private List<String> _cols;
//
//
//    public List<String> colList(){
//        if(CollUtil.isNotEmpty(_cols)){
//            return _cols;
//        }
//        this._cols= StrJoinSplitUtils.split2List(this.column);
//        return this._cols;
//    }

    public Map<String,String> columnEntityMapping(){
        return this.mapping;
    }



}
