package com.xxh.cloud.framework.script.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class EntityOperateDeleteByIdDTO {

    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableCode;


    @ApiModelProperty(value = "表数据ID",required = true)
    @NotEmpty(message = "表数据ID不能为空")
    private String id;


}
