package com.xxh.cloud.framework.script.modules.biz.bean.dto;

import com.xxh.cloud.framework.script.modules.sql.operate.bean.UpdateBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class EntityOperateUpdateByIdDTO {

    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableCode;

    @ApiModelProperty(value = "表字段",required = true)
    @NotNull(message = "表字段不能为空")
    private List<UpdateBean> updates;

    @ApiModelProperty(value = "数据ID",required = true)
    @NotEmpty(message = "数据ID不能为空")
    private String id;





}
