package com.xxh.cloud.framework.script.modules.biz.constant.enums;


/**
 * 标准数据:数据类型
 * */
public enum TableDataTypeEnum {


    MT_Dict("dict","字典码表"),

    MT_Standard("standard","标准数据"),

    MT_Int("i","整数"),

    MT_Decimal("d","数字"),

    MT_String("s","字符串"),

    MT_Text("t","文本"),

    MT_DateTime("dt","日期"),



    ;

    private String code;
    private String msg;
    private TableDataTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }




}
