package com.xxh.cloud.framework.script.modules.biz.service;

import com.xxh.cloud.framework.script.modules.biz.bean.dto.EntityDDLAlterDTO;
import com.xxh.cloud.framework.script.modules.biz.bean.dto.EntityDDLClearDataDTO;
import com.xxh.cloud.framework.script.modules.biz.bean.dto.EntityDDLCreateDTO;
import com.xxh.cloud.framework.script.modules.biz.bean.dto.EntityDDLDropDTO;

/**
 * data definition language:数据定义语言
 * */
public interface DbTableDDLApiService {


    /**
     * 创建
     * */
    public void create(EntityDDLCreateDTO params);

    /**
     * 新增和修改
     * */
    public void alter(EntityDDLAlterDTO params);

    /**
     * 删除
     * */
    public void drop(EntityDDLDropDTO params);

    /**
     * 清空数据
     * */
    public void clearData(EntityDDLClearDataDTO params);




//
//    /**
//     *
//     * */
//    public List<TableEntityPropertyVO> getTableColumns(DataSourceTypeEnum dataSourceType, String database, String tableCode);



}
