package com.xxh.cloud.framework.script.modules.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.script.modules.biz.bean.dto.*;

import java.util.List;
import java.util.Map;

public interface DbTableOperateApiService {

    /**查询*/
    public IPage<Map<String,Object>> query(EntityOperateQueryDTO params);

    /**列表*/
    public List<Map<String,Object>> list(EntityOperateListDTO params);


    /**获取*/
    public Map<String,Object> getById(EntityOperateGetByIdDTO params);

    /**获取*/
    public Map<String,Object> getOne(EntityOperateGetOneDTO params);


    /**新增*/
    public void save(EntityOperateSaveDTO params);

    /**批量新增*/
    public void saveBatch(EntityOperateSaveBatchDTO params);

    /**修改*/
    public void updateById(EntityOperateUpdateByIdDTO params);

    /**批量修改*/
    public void updateByWhere(EntityOperateUpdateByWhereDTO params);


    /**删除*/
    public void deleteById(EntityOperateDeleteByIdDTO params);


    /**批量删除*/
    public void deleteByWhere(EntityOperateDeleteByWhereDTO params);





}
