package com.xxh.cloud.framework.script.modules.db;

import com.xxh.cloud.framework.script.modules.db.service.DBDeleteOpApi;
import com.xxh.cloud.framework.script.modules.db.service.DBInsertOpApi;
import com.xxh.cloud.framework.script.modules.db.service.DBSelectOpApi;
import com.xxh.cloud.framework.script.modules.db.service.DBUpdateOpApi;
import com.xxh.cloud.framework.script.modules.db.service.impl.DBDeleteOpService;
import com.xxh.cloud.framework.script.modules.db.service.impl.DBInsertOpService;
import com.xxh.cloud.framework.script.modules.db.service.impl.DBSelectOpService;
import com.xxh.cloud.framework.script.modules.db.service.impl.DBUpdateOpService;

public class DBSqlOpFactory {


    private static DBSelectOpService DBSelectOp=new DBSelectOpService();

    private static DBInsertOpService DBInsertOp=new DBInsertOpService();

    private static DBUpdateOpApi DBUpdateOp=new DBUpdateOpService();

    private static DBDeleteOpApi DBDeleteOp=new DBDeleteOpService();



    public static DBSelectOpApi getSelect(){
        return DBSelectOp;
    }

    public static DBInsertOpApi getInsert(){
        return DBInsertOp;
    }

    public static DBUpdateOpApi getUpdate(){
        return DBUpdateOp;
    }

    public static  DBDeleteOpApi getDelete(){
        return DBDeleteOp;
    }






}
