package com.xxh.cloud.framework.script.modules.db.service;

import com.xxh.cloud.framework.script.modules.biz.bean.vos.TableEntityPropertyVO;
import com.xxh.cloud.framework.script.modules.biz.bean.vos.TableEntityVO;

import java.sql.Connection;
import java.util.List;

public interface DbSqlDDLApi {



    /**新建表*/
    public void createTable(Connection connection , String sql);

    /**修改表*/
    public void alterTable(Connection connection ,String sql);


    /**删除表*/
    public void dropTable(Connection connection ,String sql);


    /**清空表数据*/
    public void truncateTableData(Connection connection ,String sql);


    /**查询表信息列表*/
    public List<TableEntityVO> entityList(Connection connection ,String sql);


    /**查询字段属性列表*/
    public List<TableEntityPropertyVO> entityPropList(Connection connection ,String sql);


    /**判断表是否存在*/
    public TableEntityVO getEntityObj(Connection connection ,String sql);


    /**获取表数据数量*/
    public int entityDataNum(Connection connection ,String tableName);


}
