package com.xxh.cloud.framework.script.modules.db.service.impl;

import com.xxh.cloud.framework.script.modules.db.service.DBDeleteOpApi;
import com.xxh.cloud.framework.script.modules.db.util.DbSQLExecuteUtils;

import java.sql.Connection;
import java.util.List;
import java.util.Map;

public class DBDeleteOpService implements DBDeleteOpApi {


    /**
     *
     * */
    @Override
    public int delete(Connection connection, String sql) {

        return DbSQLExecuteUtils.execute(connection,sql);
    }

    @Override
    public int delete(Connection connection, String sql, Map<String, Object> paramMap) {
        return DbSQLExecuteUtils.execute(connection,sql,paramMap);
    }

    @Override
    public void deleteBatch(Connection connection, List<String> sqlList) {
        DbSQLExecuteUtils.executeBatch(connection,sqlList);
    }



}
