package com.xxh.cloud.framework.script.modules.db.util;

import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import com.xxh.cloud.framework.common.write.bean.HwdsWriteDBConfigBean;
import com.xxh.cloud.framework.common.write2.DorisWriteUtils;
import org.apache.commons.lang3.StringUtils;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;

public class DBWriteUtils {




    public static void batchWriteVoid(DataSource dataSource, List<Map<String, Object>> data){
//        String tableName =writeDBConfig.getTable();
//        List<String> fieldNames = StrJoinSplitUtils.split2List(writeDBConfig.getColumn());
        String sqlInsert = DBWriteUtils.getInsertSQL(null,null);
        System.out.println(sqlInsert);
//
//        try (Connection connection = dataSource.getConnection(); PreparedStatement ps = connection.prepareStatement(sqlInsert); ) {
//            connection.setAutoCommit(false);
//            for (Map<String,Object> recordValue : data) {
//                for (int j = 0; j < fieldNames.size(); j++) {
//                    ps.setObject(j + 1, recordValue.get(fieldNames.get(j)));
//                }
//                ps.addBatch();
//            }
//            ps.executeBatch();
//            ps.clearBatch();
//            connection.commit();
//        } catch (SQLException se) {
//            throw new RuntimeException(se);
//        }
//

    }





    /**
     * insert sql
     * */
    public static String getInsertSQL(String tableName, List<String> fieldNames){
        String sqlInsert = String.format("INSERT INTO %s ( %s ) VALUES ( %s )", tableName,
                StringUtils.join(fieldNames, ","),
                StringUtils.join(Collections.nCopies(fieldNames.size(), "?"), ","));
        return sqlInsert;
    }


    public static void main(String[] args) {
        List<String> fieldNames=new ArrayList<>();
        fieldNames.add("id");
        fieldNames.add("name");

        System.out.println(DBWriteUtils.getInsertSQL("test",fieldNames));
    }

}
