package com.xxh.cloud.framework.script.modules.db.util;

import cn.hutool.core.util.StrUtil;
import cn.hutool.db.DbUtil;
import cn.hutool.db.Entity;
import cn.hutool.db.handler.EntityListHandler;
import cn.hutool.db.sql.SqlExecutor;
import com.alibaba.druid.pool.DruidDataSource;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

public class DemoOne {


    public static void main(String[] args) {

    }


    public static void t(){
        DruidDataSource dataSource= XXDataSourceUtils.getDruidDataSource();


    }


    public static void t2(DataSource ds){

        Connection conn = null;
        try {
            conn = ds.getConnection();
            // 执行非查询语句，返回影响的行数
            int count = SqlExecutor.execute(conn, "UPDATE tb set field1 = ? where id = ?", 0, 0);
            System.out.println(StrUtil.format("影响行数：{}",count));

            // 执行非查询语句，返回自增的键，如果有多个自增键，只返回第一个
            Long generatedKey = SqlExecutor.executeForGeneratedKey(conn, "UPDATE s set field1 = ? where id = ?", 0, 0);
            System.out.println(StrUtil.format("主键：{}", generatedKey));

            /* 执行查询语句，返回实体列表，一个Entity对象表示一行的数据，Entity对象是一个继承自HashMap的对象，存储的key为字段名，value为字段值 */
            List<Entity> entityList = SqlExecutor.query(conn, "select * from tb where param1 = ?", new EntityListHandler(), "值");
        } catch (SQLException e) {
           e.printStackTrace();
        } finally {
            DbUtil.close(conn);
        }



    }



}
