package com.xxh.cloud.framework.script.modules.db.util;

import com.alibaba.druid.pool.DruidDataSource;
import com.xxh.cloud.framework.script.modules.db.bean.XXDataSourceConfigBO;
import com.zaxxer.hikari.HikariDataSource;

import javax.sql.DataSource;
import java.util.HashMap;
import java.util.Map;

public class XXDataSourceUtils {


    private static Map<String,DataSource> DSMap=new HashMap<>();


    public static void removeByKey(String key){
        DSMap.remove(key);
    }

    public static void removeAll(){
        DSMap.clear();
    }

    public static DataSource get(String key){
        return DSMap.get(key);
    }

    public static void add(String key,DataSource dataSource){
        DSMap.put(key,dataSource);
    }


    public static DataSource getDruidDataSource(XXDataSourceConfigBO config){
        DruidDataSource dataSource=new DruidDataSource();
        dataSource.setDriverClassName(config.getDriverClassName());
        dataSource.setUrl(config.getUrlParams());
        dataSource.setUsername(config.getUserName());
        dataSource.setPassword(config.getPassWord());
        return dataSource;
    }


    public static DataSource getHikariDataSource(XXDataSourceConfigBO config){
        HikariDataSource dataSource=new HikariDataSource();
        //todo:
        return dataSource;
    }






    public static DruidDataSource getDruidDataSource(){
        DruidDataSource dataSource=new DruidDataSource();
        dataSource.setDriverClassName("com.mysql.cj.jdbc.Driver");
        dataSource.setUrl("jdbc:mysql://47.114.206.46:3306/awa_data_dev_24");
        dataSource.setUsername("awa_dev");
        dataSource.setPassword("xxAWA@24");
        return dataSource;
    }


//    public static HikariDataSource getHikariDataSource(){
//        HikariDataSource dataSource=new HikariDataSource();
//
////        ds.addDataSourceProperty("remarksReporting", true);
////        ds.addDataSourceProperty("useInformationSchema", true);
//
//        dataSource.setPoolName("The_Source_DB_Connection");
//        dataSource.setJdbcUrl("");
//        dataSource.setDriverClassName("");
//        dataSource.setUsername("");
//        dataSource.setPassword("");
//
////        if (properties.getDriverClassName().contains("oracle")) {
////            System.getProperties().setProperty("oracle.jdbc.J2EE13Compliant", "true");
////        }
////        ProductTypeEnum sourceProductType = properties.getSourceProductType();
//
//        dataSource.setConnectionTestQuery("testsql");
//        dataSource.setMaximumPoolSize(2);
//        dataSource.setMinimumIdle(5);
//        dataSource.setMaxLifetime(2);
//        dataSource.setConnectionTimeout(2);
//        dataSource.setIdleTimeout(60000);
//
//        return dataSource;
//    }








}
