package com.xxh.cloud.framework.script.modules.sql.operate.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * SQL 配置
 * */
@Getter
@Setter
public class SqlConfigBean {



    @ApiModelProperty(value = "显示字段")
    private List<SelectBean> select;

    @ApiModelProperty(value = "主表")
    private String from;

    @ApiModelProperty(value = "关联表")
    private List<JoinBean> join;

    @ApiModelProperty(value = "条件")
    private List<WhereAndOrBean> where;

    @ApiModelProperty(value = "分组")
    private List<GroupByBean> groupBy;

    @ApiModelProperty(value = "分组条件")
    private List<WhereAndOrBean> having;

    @ApiModelProperty(value = "排序")
    private List<OrderByBean> orderBy;

    @ApiModelProperty(value = "显示条数")
    private int limit;

//    @ApiModelProperty(value = "是否分页")
//    private  String isPage;


}
