package com.xxh.cloud.framework.common.config;


import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;

@Getter
@Setter
@Configuration
@ConditionalOnProperty(name = "x1.project.enable", havingValue = "true")
public class BaseProjectConfig {


    /**
     * 是否print输出
     * */
    @Value("${x1.project.config.print:true}")
    private boolean print;


    /**
     * 用户客户管理，家庭成员绑定是否认证
     * */
    @Value("${x1.project.config.cust.familyBindAuth:true}")
    private boolean custFamilyBindAuth;





}
