package com.xxh.cloud.framework.common.constant;

/**
 * 系统级字典分类定义
 * */
public enum DictTypeEnum implements IBizBaseEnum{



    DT_OperationType("log_op_type","日志操作分类"),
    DT_ModuleType("medule_type","系统模块分类"),
    DT_ObjectType("object_type","系统实体分类"),



    ;
    private String code;
    private String name;

    private DictTypeEnum() {
    }

    DictTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getName() {
        return name;
    }


}
