package com.xxh.cloud.framework.common.param.bos;

import lombok.Getter;
import lombok.Setter;

/**
 * 数据源配置
 * */
@Getter
@Setter
public class DataSourceConfigBO {

    /**
     * 数据源类型(DataSourceTypeEnum)
     * */
    private String type;

    /**
     * 数据源库名
     * */
    private String database;

    /**
     * 数据源url
     * */
    private String url;

    /**
     * 数据源用户名
     * */
    private String userName;

    /**
     * 数据源密码
     * */
    private String password;


}
