package com.xxh.cloud.framework.common.param.bos;

import lombok.Getter;
import lombok.Setter;

/**
 * 阿里云OSS配置
 * */
@Getter
@Setter
public class OssAliConfigBO {
    private String accessKeyId;

    private String accessKeySecret;

    private String region;

    private String endPoint;

    private String bucketName;

    private String callbackUrl;

    private String uriPrefix;

    public String getHost() {
        String host = "https://" + this.bucketName + "." + this.endPoint;
        return host;
    }

    public String getFileUrl(String fileName) {
        return this.getHost() + "/" + fileName;
    }

}
