package com.xxh.cloud.framework.common.param.bos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

/**
 * 阿里云短信配置
 * */
@Getter
@Setter
public class SmsAliConfigBO {

    @ApiModelProperty(value = "访问id")
    private String accessKeyId;

    @ApiModelProperty(value = "访问密钥")
    private String accessKeySecret;

    @ApiModelProperty(value = "签名")
    private String signName;

    @ApiModelProperty(value = "验证码模板")
    private Map<String,String> tcm;


}
